Documentation IndexFetch the complete documentation index at: /llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
cURL
curl --request GET \ --url https://api.asksurf.ai/gateway/v1/news/detail
import requests url = "https://api.asksurf.ai/gateway/v1/news/detail" response = requests.get(url) print(response.text)
const options = {method: 'GET'}; fetch('https://api.asksurf.ai/gateway/v1/news/detail', options) .then(res => res.json()) .then(res => console.log(res)) .catch(err => console.error(err));
{ "data": { "content": "<string>", "id": "<string>", "published_at": 123, "title": "<string>", "project_id": "<string>", "project_name": "<string>", "source": "<string>", "summary": "<string>", "url": "<string>" }, "meta": { "cached": true, "credits_used": 123 }, "$schema": "https://example.com/schemas/DataObjectResponseNewsArticleDetailItem.json" }
{ "error": { "code": "<string>", "message": "<string>" }, "$schema": "https://example.com/schemas/DataAPIError.json" }
Article ID (returned as id in feed/search results)
"abc123"
OK
Show child attributes
A URL to the JSON Schema for this object.
"https://example.com/schemas/DataObjectResponseNewsArticleDetailItem.json"